UbixOS V2 2.0

Data Fields
mqtt_request_t Struct Reference

`#include <mqtt.h>`

Collaboration diagram for mqtt_request_t:

## Data Fields
void * | arg
mqtt_request_cb_t | cb
struct mqtt_request_t * | next
u16_t | pkt_id
u16_t | timeout_diff

## Detailed Description

Pending request item, binds application callback to pending server requests

Definition at line 155 of file mqtt.h.

## Field Documentation

## ◆ arg

void* mqtt_request_t::arg

Definition at line 162 of file mqtt.h.

## ◆ cb

mqtt_request_cb_t mqtt_request_t::cb

Callback to upper layer

Definition at line 161 of file mqtt.h.

## ◆ next

struct mqtt_request_t* mqtt_request_t::next

Next item in list, NULL means this is the last in chain, next pointing at itself means request is unallocated

Definition at line 159 of file mqtt.h.

## ◆ pkt_id

u16_t mqtt_request_t::pkt_id

MQTT packet identifier

Definition at line 164 of file mqtt.h.

## ◆ timeout_diff

u16_t mqtt_request_t::timeout_diff

Expire time relative to element before this

Definition at line 166 of file mqtt.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/net/apps/mqtt.h